package com.gh.gamecenter.core.provider

import android.content.Context
import android.view.View
import android.widget.FrameLayout
import com.alibaba.android.arouter.facade.template.IProvider

interface IStartUpAdProvider : IProvider {

    fun initSDK(context: Context)

    fun initOAID(context: Context, callback: (String) -> Unit)

    fun initStartUpAd(startAdContainer: View, adsFl: FrameLayout, showAd: Boolean, hideCallback: () -> Unit)

    fun cancelStartUpAd(context: Context)

    fun shouldEnableSDK(channel: String): Boolean
}